# Timer_Heap_T.cpp File Reference

`#include "ace/Timer_Heap_T.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Guard_T.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_string.h"`
`#include <limits>`

Include dependency graph for Timer_Heap_T.cpp:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_HEAP_PARENT(X) (X == 0 ? 0 : (((X) - 1) / 2))
#define | ACE_HEAP_LCHILD(X) (((X)+(X))+1)

## Define Documentation

#define ACE_HEAP_LCHILD | ( | X |  | ) | (((X)+(X))+1)

#define ACE_HEAP_PARENT | ( | X |  | ) | (X == 0 ? 0 : (((X) - 1) / 2))